# Documentation

Complete reference for the Lux programming language.

## Standard Library

Core types and functions.

- List
- String
- Option
- Result
- Math
- Json

## Effects

Built-in effect types and operations.

- Console
- File
- Process
- Http
- HttpServer
- Time
- Random
- State
- Fail
- Sql
- Postgres
- Concurrent
- Channel
- Test

## Language Reference

Syntax, types, and semantics.

- Grammar (EBNF)
- Type System
- Effect System
- Operators
- Keywords

## Guides

In-depth explanations of key concepts.

- Effects Guide
- Behavioral Types
- Compilation
- Performance

## Coming From

Lux for developers of other languages.

- Rust
- Haskell
- TypeScript
- Python

## Tooling

CLI, LSP, and editor integration.

- CLI Reference
- LSP Setup
- VS Code
- Neovim